%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)

%global srcname nbformat

Summary:        The Jupyter Notebook format
Name:           python-%{srcname}
Version:        5.9.2
Release:        1%{?dist}
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
Patch3000:      nbformat-build-test.patch

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-fastjsonschema python%{python3_pkgversion}-testpath
BuildArch:      noarch

%description
This package contains the base implementation of the Jupyter Notebook format,
and Python APIs for working with notebooks.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        The Jupyter Notebook format

%description -n python%{python3_pkgversion}-%{srcname}
This package contains the base implementation of the Jupyter Notebook format,
and Python APIs for working with notebooks.

%prep
%autosetup -p1 -n %{srcname}-%{version}
mkdir -p nbformat/tests

sed -i '/"pre-commit",/d' pyproject.toml
sed -i '/"check-manifest",/d' pyproject.toml

sed -i "s/{VERSION}/%{version}/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -r -x test

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

 
%files -n python%{python3_pkgversion}-%{srcname} -f %pyproject_files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/jupyter-trust

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 5.9.2-1
- initial build
